proc MakeArchive {numlib} {
	global Obj_WinLib Obj_Lib Obj_Dir Glob_Pref

	set wlib $Obj_WinLib($numlib,wlib)
	set pathfilesobj $Obj_Dir(Lib)/$Obj_Lib($numlib)
	set list_obj [glob -nocomplain $pathfilesobj/*.o]

	if { $list_obj == {} } {

PRINT "No Object file to Archive : Archive not updated"

		tk_dialog $wlib.d$numlib {TkfPW Library Maintainer} "The Library [file tail $Obj_Lib($numlib,libar)]\n\
			was Not Updated\n\
			Reason : No Object file to archive" warning 0 {Ok}

		# Update the Lib Infos then return
		GetInfoLib $numlib

		return

	} else {

PRINT "List of Object files to Archive: $list_obj"

		if [catch {eval exec $Glob_Pref(Ar) $Glob_Pref(ArOpt) $Obj_Lib($numlib,libar) $list_obj} err] {
			PRINT "proc MakeArchive :\nTkfPW ERROR ! :\n\n$err"
		} else {
PRINT "OK ! Archive $Obj_Lib($numlib,libar) Updated"
			catch {eval exec rm $list_obj}
			# Update the Lib Infos.
			GetInfoLib $numlib
			# Archive is Up To Date ?
			if { $Obj_Lib($numlib,list_recf) == {} } {
PRINT "Archive is Up to Date"
				tk_dialog $wlib.d$numlib {TkfPW Library Maintainer} "I'm Happy to inform You that\n\
				the Archive [file tail $Obj_Lib($numlib,libar)]\n\
				is Up To Date !" info 0 {Great !}
			}
		}
	}
}
